module Testcube
  module Config
    class Env
      class << self
        # TODO Read from ENV vars here
        def recording_enabled?
          true
        end

        def log_level
          {
            "debug" => ::Logger::DEBUG,
            "info"  => ::Logger::INFO,
            "warn"  => ::Logger::WARN,
          }[ENV['TESTCUBE_LOG_LEVEL']] || ::Logger::INFO
        end
      end
    end
  end
end
